/**
 * @author: ex-liuxiaohu001@pingan.com.cn
 * @date  : 2015-12-15
 * @time  : 下午16：30
 *
 * @describe: iLoan定期-提升额度--常用信息填写
 */
define(["zepto", "C", "view"], function ($, C, View) {
    'use strict';
    var Page = View.extend(_.extend({
        G: {
            loginInfo: "",
            isPosting: false,
            userId: "",
            custName: "",
            authCode: "",
            btnFlag: false,
            timer1: null
        },
        events: {
            "tap .routineInformation": "expectShow",
            "tap .phoneAuthenticatio": "expectShow",
            "tap .socialContact": "expectShow",
            "tap .insurance": "expectShow",
            "tap .drivingLicense": "drivingLicense",//车辆认证页跳转
            "tap .life_insurance":"lifeInsurance",//跳转寿险认证页
            "tap .accumulation_fund":"accumulation_fund",//公积金社保认证跳转
            "tap .umAuthentication":"expectShow",
            "tap .house_property":"expectShow",

            "tap .icon-close": "expectHide"


        },
        initialize: function () {
            var self = this;
            C.Native.setHeader({
                title: C.Constant.TITLE.ADD_INFO,
                leftCallback: function () {
                    C.Native.back({
                    });
                }
            });
            //var userInfo = C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO);
            
            self.G.loginInfo = C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO);
            //alert(JSON.stringify(self.G.loginInfo));
            if (!self.G.loginInfo) {
                C.Native.getUserInfo(function (data) {
                    self.G.loginInfo = data;
                });
            };
            C.UI.stopLoading();
        },


        MobileAuthentication: function () {
            var self = this;
            function isAuthentication(obj) {
                switch (obj) {
                    case '0':
                        return '失败';
                        break;
                    case '1':
                        return '成功';
                        break;
                    case '2':
                        return '认证中';
                        break;
                    case '-1':
                        return '未认证';
                        break;
                }
            }

            $.ajax({
                type: "Post",
                url: C.Api.GAS_STATION,
                data: {
                    accountId: self.G.loginInfo.accountId,
                    queryType: 'carat'
                },
                success: function (res) {
                    //var response=JSON.parse(res);
                    alert(JSON.stringify(res));
                    if (res.flag == 1) {
                        if (res.data.resultCode == 1) {
                            for (var i = 0; i < res.data.caratAuthList.length; i++) {
                                switch (res.data.caratAuthList[i].authTypeCode) {
                                    case 'declareBase':
                                        if (res.data.caratAuthList[i].authStatus == '1') {
                                            $('.declareBase').addClass('green');
                                        } else if (res.data.caratAuthList[i].authStatus == '2') {
                                            $('.declareBase').addClass('red')
                                        }
                                        $('.declareBase').html(isAuthentication(res.data.caratAuthList[i].authStatus))
                                        break;
                                    case 'mobile':
                                        if (res.data.caratAuthList[i].authStatus == '1') {
                                            $('.to-examine').addClass('green')
                                        } else if (res.data.caratAuthList[i].authStatus == '2') {
                                            $('.to-examine').addClass('red')
                                        }
                                        $('.to-examine').html(isAuthentication(res.data.caratAuthList[i].authStatus))
                                        break;
                                    case 'netAccount':
                                        if (res.data.caratAuthList[i].authStatus == '1') {
                                            $('.netAccount').addClass('green')
                                        } else if (res.data.caratAuthList[i].authStatus == '2') {
                                            $('.netAccount').addClass('red')
                                        }
                                        //$('.netAccount').html(isAuthentication(response.data.caratAuthList[i].authStatus))
                                        break;
                                    case 'insurance':
                                        if (res.data.caratAuthList[i].authStatus == '1') {
                                            $('.insurance').addClass('green')
                                        } else if (res.data.caratAuthList[i].authStatus == '2') {
                                            $('.insurance').addClass('red')
                                        }
                                        /*$('.insurance').html(isAuthentication(response.data.caratAuthList[i].authStatus))*/
                                        break;
                                    case 'drivingLicense':
                                        if (res.data.caratAuthList[i].authStatus == '1') {
                                            $('.driving_license').addClass('green')
                                        } else if (res.data.caratAuthList[i].authStatus == '2') {
                                            $('.driving_license').addClass('red')
                                        }
                                        $('.driving_license').html(isAuthentication(res.data.caratAuthList[i].authStatus))
                                        break;
                                    case 'umAccount':
                                        if (res.data.caratAuthList[i].authStatus == '1') {
                                            $('.umAccount').addClass('green')
                                        } else if (res.data.caratAuthList[i].authStatus == '2') {
                                            $('.umAccount').addClass('red')
                                        }
                                        $('.umAccount').html(isAuthentication(res.data.caratAuthList[i].authStatus))
                                        break;
                                }
                                ;
                            }
                            ;
                            //C.Native.tip(res.data.resultMsg);
                        } else {
                            // C.Native.tip(res.data.resultMsg);
                        }
                        C.UI.stopLoading();
                        // C.Native.tip(res.msg);
                    } else {
                        C.UI.stopLoading();
                        //C.Native.tip(res.msg);

                    }
                    ;
                }
            });

        },
        //敬请期待
        expectShow: function () {
            var self = this,
                conct = 2;
            $('.leayerApply').show();
            $('.my-time').html(conct + 's');
            self.G.timer1 = setInterval(function () {
                conct--;
                $('.my-time').html(conct + 's');
                if (conct < 0) {
                    clearInterval(self.G.timer1);
                    $('.leayerApply').hide();
                }
            }, 1000)


        },
        //是否登陆
        /*isLad: function(){
            C.Native.isLogined(function(res){
                if(res.flag=='0'){
                    alert(0);
                }else{
                    alert(1);
                }
            });
        },*/
        expectHide: function () {
            var self = this;
            clearInterval(self.G.timer1);
            $('.leayerApply').hide();
        },

        //常规信息
        routineInformation: function () {
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.CREDIT_INFORMATION_0903,
                eventLable: C.TD.Label.CREDIT_INFORMATION_090301,
            });
            C.Native.forward({
             url:'personal-information.html'
            });

        },
        //手机运营商验证页
        phoneAuthenticatio: function () {
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.CREDIT_INFORMATION_0903,
                eventLable: C.TD.Label.CREDIT_INFORMATION_090302,
            });

        },
        //社交
        socialContact: function () {
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.CREDIT_INFORMATION_0903,
                eventLable: C.TD.Label.CREDIT_INFORMATION_090303,
            });
            /*C.Native.forward({
             url:'personal-information.html'
             });*/

        },
        //保险
        insurance: function () {
            C.Native.forward({
                url: 'insurance-contact.html'
            });

        },
        
        //UM
        dayUnderside: function () {
            var self=this;
            /*C.Native.worldPass('txtwage',self.G.loginInfo.custid, function(res){
                alert(res);
            });*/
        },
        //公积金社保认证
        accumulation_fund: function () {
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.CREDIT_INFORMATION_0903,
                eventLable: C.TD.Label.CREDIT_INFORMATION_090304,
            });
            C.Native.forward({
                url: 'social-provident.html'
            });

        },
        //车辆认证
        drivingLicense: function () {
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.CREDIT_INFORMATION_0903,
                eventLable: C.TD.Label.CREDIT_INFORMATION_090306,
            });
            C.Native.forward({
                url: 'policy-car.html'
            });

        },
        //寿险认证跳转
        lifeInsurance: function () {
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.CREDIT_INFORMATION_0903,
                eventLable: C.TD.Label.CREDIT_INFORMATION_090305,
            });
            C.Native.forward({
                url: 'policy-life.html'
            });

        }

    }));
    $(function () {
        var Page1 = new Page({
            el: $("body")[0]
        });

    })
});
