/*!
 * talking 模块常量
 * @module talkingdata
 * @author 周一平 
 * @history 2015-6-10 add
 */
define(["js/common/native"], function(Native) {
    var TD = {
        //添加一条埋点记录
        addRecord: function(eventId, eventLable, jsonData) {
            Native.TDOnEvent({
                eventId: eventId,
                eventLable: eventLable,
                jsonData: jsonData
            });
        },
    	Label:{
    		CERTIFY:"certify",
    		CONTRACT:"contract",
    		LOAN:"loan",
    		MAKE_MONEY_0801_1:'080101_登录',
            MAKE_MONEY_0802_1:'080201_登录',
            MAKE_MONEY_0802_2:'080202_邀请好友',
            MY_ACCOUNT_0701_1:'070101_登录',
            MY_ACCOUNT_0712:'0712_寿险贷产品',
            MY_ACCOUNT_0713:'0713_车主贷产品',
            MY_ACCOUNT_0501:'0501_随意贷账户',
            MY_ACCOUNT_0502:'0502_定期帐户',
            BORROW_MONEY_0501_1:'050101_登录',
            BORROW_MONEY_0502_2:'050202_立即还款',
            BORROW_MONEY_0510:'0510_寿险贷产品',
            BORROW_MONEY_0511:'0511_车主贷产品',
            BORROW_MONEY_01:'01_产品介绍页',
            BORROW_MONEY_0501:'0501_随意贷账户',
            BORROW_MONEY_0502:'0502_定期帐户',
            SPEND_MONEY_0401:'0401_花漾卡申请',
            SPEND_MONEY_0402:'0402_无卡取现',
            SPEND_MONEY_0403:'0403_签到',
            SPEND_MONEY_0404:'0404_积分商城',
            SPEND_MONEY_0405:'0405_信用卡还款',
            SPEND_MONEY_0403_1:'040301_签到成功确认',
            SPEND_MONEY_0403_2:'040302_签到成功确认',
            SPEND_MONEY_0406:'0406_水电煤',
            SPEND_MONEY_0407:'0407_话费充值',
            SPEND_MONEY_0408:'0408_健一网',
            SPEND_MONEY_0409:'0409_一号店',
            SPEND_MONEY_0410:'0410_国美',
            SPEND_MONEY_0411:'0411_诺心',
            SPEND_MONEY_0412:'0412_酒仙网',
            SETTING_0301_1:'030101_登录',
            SETTING_0302_1:'030201_问题分类一',
            SETTING_0302_2:'030202_问题分类二',
            SETTING_0302_3:'030203_问题分类三',
            SETTING_0302_4:'030204_问题分类四',
            SETTING_0304_1:'030401_拨打客服热线',
            SETTING_0304_2:'030402_取消拨打',
            HOME_PAGE_0204:'0204_借钱',
            HOME_PAGE_0205:'0205_花钱',
            HOME_PAGE_0206:'0206_赚钱',
            HOME_PAGE_0207:'0201_banner 1',
            HOME_PAGE_0208:'0201_banner 2',
            HOME_PAGE_0209:'0201_banner 3',
            HOME_PAGE_02010:'0201_banner 4',
            HOME_PAGE_02011:'0201_banner 5',
            HOME_PAGE_02012:'0207_i贷',
            HOME_PAGE_02013:'0207_宅e贷',
            HOME_PAGE_02014:'0207_追加贷款',
            HOME_PAGE_02015:'0207_转入',
            HOME_PAGE_02016:'0207_转出',
            HOME_PAGE_02017:'0207_网点查询',
            HOME_PAGE_0218:'0218_寿险贷产品',
            HOME_PAGE_0219:'0219_车主贷产品',
            HOME_PAGE_0221:'0221_ipos贷icon',
            HOME_PAGE_0222:'0222_ipos贷banner',
            HOME_PAGE_01:'01_产品介绍页',
            HOME_PAGE_0501:'0501_随意贷账户',
            HOME_PAGE_0502:'0502_定期帐户',
            CARAT_CREDIT_090201:'090201_成功',
            CARAT_CREDIT_090201:'090202_身份验证',
            CREDIT_INFORMATION_090301:'090301_常规信息',
            CREDIT_INFORMATION_090302:'090302_手机运营商认证',
            CREDIT_INFORMATION_090303:'090303_社交账号',
            CREDIT_INFORMATION_090304:'090304_社保公积金认证',
            CREDIT_INFORMATION_090305:'090305_寿险认证',
            CREDIT_INFORMATION_090306:'090306_车辆认证',
            CREDIT_INFORMATION_090307:'090307_平安员工认证',
            CREDIT_INFORMATION_090308:'090308_房产认证',
            INSURANCE_CONTACT_09030401:'09030401_社保认证',
            INSURANCE_CONTACT_09030402:'09030402_公积金认证',
            POLICY_LIFE_09030501:'09030501_寿险保单1',
            POLICY_LIFE_09030502:'09030502_寿险保单2',
            POLICY_LIFE_09030503:'09030503_寿险保单3',
            POLICY_LIFE_09030504:'09030504_寿险保单4',
            POLICY_LIFE_09030505:'09030505_寿险保单5',
            POLICY_LIFE_09030506:'09030506_寿险保单6',
            POLICY_LIFE_09030507:'09030507_寿险保单7',
            POLICY_LIFE_09030508:'09030508_寿险保单8',
            POLICY_LIFE_09030509:'09030509_寿险保单9',
            POLICY_LIFE_09030510:'09030510_寿险保单10',
            POLICY_CAR_09030601:'09030601_行驶证认证',
            POLICY_CAR_09030602:'09030602_车险保单1',
            POLICY_CAR_09030603:'09030603_车险保单2',
            POLICY_CAR_09030604:'09030604_车险保单3',
            POLICY_CAR_09030605:'09030605_车险保单4',
            POLICY_CAR_09030606:'09030606_车险保单5',
            POLICY_CAR_09030607:'09030607_车险保单6',
            POLICY_CAR_09030608:'09030608_车险保单7',
            POLICY_CAR_09030609:'09030609_车险保单8',
            POLICY_CAR_09030610:'09030610_车险保单9',
            POLICY_CAR_09030611:'09030611_车险保单10',
            },
    	Event:{
    		TOUCH:"touch",
    		SUBMIT:"submit",
            MAKE_MONEY_0801:'0801_我的总资产',
            MAKE_MONEY_0802:'0802_累计收益',
            MAKE_MONEY_0803:'0803_理财商城',
            MY_ACCOUNT_0701:'0701_我的总资产',
            MY_ACCOUNT_0702:'0702_累计借款',
            MY_ACCOUNT_0703:'0703_累计收益',
            MY_ACCOUNT_0704:'0704_银行卡',
            MY_ACCOUNT_0705:'0705_积分',
            MY_ACCOUNT_0706:'0706_余额',
            MY_ACCOUNT_0707:'0707_克拉分',
            MY_ACCOUNT_0708:'0708_再贷一笔',
            MY_ACCOUNT_0709:'0709_立即还款',
            MY_ACCOUNT_0710:'0710_申请进度',
            MY_ACCOUNT_0711:'0711_提升收益',
            MY_ACCOUNT_0712:'0712_寿险贷产品',
            MY_ACCOUNT_0713:'0713_车主贷产品',
            SCORE_0601:'0601_登录',
            SCORE_0602:'0602_去积分商城',
            BORROW_MONEY_0501:'0501_我的借款',
            BORROW_MONEY_0502:'0502_最新一笔还款',
            BORROW_MONEY_0503:'0503_历史借款',
            BORROW_MONEY_0504:'0504_信保易贷',
            BORROW_MONEY_0505:'0505_i贷',
            BORROW_MONEY_0506:'0506_富登易贷',
            BORROW_MONEY_0507:'0507_宅e贷',
            BORROW_MONEY_0510:'0510_寿险贷产品',
            BORROW_MONEY_0511:'0511_车主贷产品',
            SPEND_MONEY_0403:'0403_签到',
            SETTING_0301:'0301_点击登录',
            SETTING_0302:'0302_常见问题',
            SETTING_0303:'0303_在线客服',
            SETTING_0304:'0304_客服热线',
            HOME_PAGE:'首页',
            HOME_PAGE_0218:'0218_寿险贷产品',
            HOME_PAGE_0219:'0219_车主贷产品',
            HOME_PAGE_0221:'0221_ipos贷icon',
            HOME_PAGE_0222:'0222_ipos贷banner',
            SPEND_MONEY:'花钱',
            HOME_PAGE_0207:'0207_iloan快捷键',
            BORROW_MONEY_0504:'0504_借款产品iloan',
            MY_ACCOUNT_0750:'0750_i贷借款',
            CARAT_CREDIT_0902:'0902_增加克拉',
            CREDIT_INFORMATION_0903:'0903_信用加油站',
            INSURANCE_CONTACT_090304:'090304_公积金社保认证',
            POLICY_LIFE_090305:'090305_寿险认证',
            POLICY_CAR_090306:'090306_车辆认证',
            
    	}
    }
    return TD;
});
