define(['zepto', 'C', 'view'], function($, C, View) {
    'use strict';
    
    var Page = View.extend(_.extend({
        tagName: '',
        className: '',
        el: 'body',
        events: {
        },
        // 实例化后默认初始化该方法
        initialize: function () {
            var self = this;
            //设置标题
            C.Native.setHeader({
                title:C.Constant.TITLE.FAQ,
                leftCallback:function(){
                    C.Native.back();
                }
            });
            C.UI.stopLoading();
            self.render();
        },
        // 渲染整个view
        render: function () {
            $(".question-list li .question-title").each(function(){
                $(this).click(function(){
                    $(this).parent("li").hasClass("spread")?$(this).parent("li").removeClass("spread"):$(this).parent("li").addClass("spread").siblings().removeClass("spread");
                    //埋点
                    if ($(this).hasClass('question1')) {
                        //埋点
                        C.Native.TDOnEvent({
                            eventId:C.TD.Event.SETTING_0302,
                            eventLable:C.TD.Label.SETTING_0302_1
                        });
                    } else if ($(this).hasClass('question2')) {
                        //埋点
                        C.Native.TDOnEvent({
                            eventId:C.TD.Event.SETTING_0302,
                            eventLable:C.TD.Label.SETTING_0302_2
                        });
                    } else if ($(this).hasClass('question3')) {
                        //埋点
                        C.Native.TDOnEvent({
                            eventId:C.TD.Event.SETTING_0302,
                            eventLable:C.TD.Label.SETTING_0302_3
                        });
                    } else if ($(this).hasClass('question4')) {
                        //埋点
                        C.Native.TDOnEvent({
                            eventId:C.TD.Event.SETTING_0302,
                            eventLable:C.TD.Label.SETTING_0302_4
                        });
                    }
                })
            })
        }
    }));

    $(function() {
        new Page();
    });
});