/**
 * @author: ex-liuxiaohu001@pingan.com.cn
 * @date  : 2015-12-12
 * @time  : 下午16：30
 *
 * @describe: iLoan定期-提升额度--常用信息填写
 */
define(["zepto","C","view"],function($,C,View){
    'use strict';
    var Page = View.extend(_.extend({
        G:{
            loginInfo:"",
            isPosting:false,
            userId:"",
            custName:"",
            authCode:"",
            btnFlag:false
        },
        events:{
            //提交按钮
           // "tap .spr":"toCommitInfo",
           //居住地选择调用
            "tap .chooseAddress":"toChooseAddress",

            //语音按钮调用
            "tap .speechInput":"toSpeechInput",

            "change .choose-value-select":"toSelectValue",
            //日期控件调用
            "tap .icon-time":"toChooseDate",
            //职业选择
            "tap .occupation_status":"toJudgeNecessary",
            //"blur input":"toJudgeNecessary",
        },
        initialize:function(){
            var self = this;
            C.Native.setHeader({
                title:"个人信息",
                leftCallback:function(){
                    C.Native.back({
                        //url:"loan_lifting_quota.html"
                    });
                }
            });

            self.G.loginInfo = C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO);
            if(!self.G.loginInfo){
                C.Native.getUserInfo(function(data){
                    self.G.loginInfo = data;
                });
            }
            $('.select').find('select').change(function(event) {
               $(this).parent('div').find('span').eq(0).html($(this).val())
            });
            C.UI.stopLoading();
            //先取得信息加油站列表的authCode
          /* $.ajax({
                    type: "Post",
                    url: 'http://IQSZ-L1371:7001/cfsssfront/carat/queryCreditAuthList.do?accountId=132978&queryType=carat',//C.Api.GAS_STATION,
                    data:{
                        //accountId:self.G.loginInfo.accountId,
                        queryType:'carat'
                    },
                    success: function (res) {
                        //var resp=JSON.parse(res);
                        alert(JSON.stringify(res))
                        if(res.flag==1){
                            console.log(res)
                            for(var i=0;i<resp.data.caratAuthList.length;i++){
                                self.G.authCode+=res.data.caratAuthList[i].authCode    
                            }
                            C.UI.stopLoading();
                            self.getBaseInfo();
                        }
                    }
            });*/

            //console.log(C.Api.VERTIFY_SMSOTP);
            C.UI.stopLoading();
            self.getBaseInfo();
            

        },


        getBaseInfo:function(){

            var self = this;
            C.UI.loading();
            $.ajax({
                url :'http://iqsz-d1628:7001/cfsssfront/carat/queryCreditAuthDetail.do?accountId=3143015&authCode=baseInfo',//C.Api.DETAILED_INFORMATION,//
                type:"Post",
                data:{
                        //accountId:self.G.loginInfo.accountId,
                        //authCode : self.G.authCode
                    },
                success:function(res){

                    var response=JSON.parse(res);
                   console.log(response);
                   
                    if(response.flag == '1' && response.data){
                        //self.render(res.data);
                        //console.log(response.data.liveAddress);
                        if(response.data.resultCode=='1'){
                            /*$('.choose-value-select').html(self.renderOption(response.data.companyAddress));
                            $('.position_choice').html(self.renderOption(response.data.position));
                            $('.paytype').html(self.renderOption(response.data.payType));
                            $('.choose-value-select').html(self.renderOption(response.data.payDay));*/

                            $('.gray').removeClass('gray');

                            $('.residential_address').html(response.data.liveAddressDt);//liveAddress
                            $('.live_address_2').val(response.data.liveAddressDt);
                            $('.live_area_code').val(response.data.liveAreaCode);
                            $('.live_phone_no').val(response.data.livePhoneNo);
                            $('.occupation_status_value').html(response.data.occupationSatus);
                            $('.company_name').val(response.data.companyName);
                            $('.select_address_2').html(response.data.companyAddress);
                            $('.company_address_2').val(response.data.companyAddressDt);

                            $('.company_phone_no_1').val(response.data.custNo);
                            $('.company_phone_no_2').val(response.data.companyPhoneNo);
                            $('.company_phone_no_3').val(response.data.companyPhoneNoExt);
                            $('.position_value').html(response.data.position);
                            $('.company_entry_time').val(response.data.companyEntryTime);
                            $('.monthly_income').val(response.data.monthlyIncome);
                            $('.pay_type_value').html(response.data.payType);
                            $('.pay_day').html(response.data.payDay);
                            C.UI.stopLoading();
                            C.Native.tip(response.data.resultMsg);
                        }else{
                            C.UI.stopLoading();
                            C.Native.tip(response.data.resultMsg);
                        };

                    }else{
                        C.UI.stopLoading();
                        C.Native.tip(response.msg);

                    }
               }
            });


        },
        /*render:function(data){
            var op = "";
            if(data){
                $.each(data.occupation_status_list,function(index,i){
                    op+="<option>"+i+"</option>";
                });
                $(".occupation_status").append(op);
                op = "";
                $.each(data.position_list,function(index,i){
                    op+="<option>"+i+"</option>";
                });
                $(".position").append(op);
                op = "";
                $.each(data.pay_type_list,function(index,i){
                    op+="<option>"+i+"</option>";
                });
                $(".pay_type").append(op);
            }
        },*/
        /*toSelectValue:function(e){
           // alert(1)
            var self = this,
                $target = $(e.currentTarget),
                data = $target.val(),
                $targetShow = $target.closest("li").find("span").eq(0);
            console.log(data);
            if(data != "请选择职业状况"){
                $targetShow.text(data).removeClass("gray");
            }else{
                return ;
            }
            var con = $(".occupation_status").val();
            if(con=="小企业主"||con=="个体工商户"||con=="上班族"){
                //$('.ready-necessary').find("div.maybe-idot").addClass("icon-red-dot");
            }else{
               // $('.ready-necessary').find("div.maybe-idot").removeClass("icon-red-dot");
            }
            self.toJudgeNecessary();
        },*/
        toJudgeNecessary:function(){
            var self = this;
            /*var dots = $(".snow").length-1;
            var occupation = $(".occupation_status_value").text();
            var addr = $(".occupation_status_value").val();
            if(addr != "" && addr != "请选择职业状况"){
                if(dots==2){
                    if((occupation=="无业"||occupation=="在校学生"||occupation=="自由职业者"||occupation=="其他"||occupation=="临时工")){
                        self.G.btnFlag = true;
                    }else{
                        self.G.btnFlag  = false;
                    }
                }else if(dots==11){
                    self.G.btnFlag = true;
                    for(var i = 1;i<17;i++){
                        if(i==2||i==3||i==4){
                            continue ;
                        }
                        var data = "";
                        if(i==5||i==15||i==12){
                            data = $(".param"+i).text();
                        }else{
                            data = $(".param"+i).val()
                        }
                        if(data==""||data=="请选择职业状况"){
                            self.G.btnFlag = false;
                            break ;
                        }
                        console.log(i+""+self.G.btnFlag);
                    }
                }
            }else{
                self.G.btnFlag = false;
            }
            if(self.G.btnFlag){
                $(".to-commit").removeClass("btn-disable").addClass("btn");
            }else{
                $(".to-commit").removeClass("btn").addClass("btn-disable");
            }*/
        },
        //去数据放入option
        renderOption:function(data){
            var option='';
            if(data){
                for(var i = 0; i<data.length;i++){
                    option+="<option>"+data[i]+"</option>"
                }
            }
            return option;
        },
          　
        getChooseParam:function(){
            var self = this;
            var param = {};
            //居住地址
            var liveAddress = $(".residential_address").val();
            //详细地址
            var liveAddress = $(".live_address_2").val().trim();
            //住宅电话，区号-号码
            var liveAreaCode = $(".live_area_code").val().trim();
            var livePhoneNo = $(".live_phone_no").val().trim();
            //职业状况
            var occupationStatus = $(".occupation_status_value").text();
            //单位名称
            var companyName = $(".company_name").val();
            //单位地址
            var companyAddress = $(".select_address_2").text();
            //详细地址
            var company_phone_no = $(".company_address_2").val().trim()
            //单位电话，区号-电话号码-分机号
            //var company_phone_no_1 = $('.company_phone_no_1').val().trim();
            var companyPhoneNo = $('.company_phone_no_2').val().trim();
           // var company_phone_no_3 = $('.company_phone_no_3').val().trim();
            //职位
            var position = $(".position_value").text();
            //入职时间entry_time
            var companyEntryTime = $(".entry_time").val();
            //月收入
            var monthlyIncome = $(".monthly_income").val();
            //发薪方式
            var payType = $(".pay_type_value").text();
            //发薪日
            var payDay = $(".pay_day").text();   　

            param = {
                accountId:self.G.loginInfo.accountId,
                loanCode:'carat',
                authCode : self.G.authCode,

                applyNo:C.Utils.data(C.Constant.DataKey.ILOANAPPLYNO),
                type:"personalBaseInfo",
               // cust_name:self.G.loginInfo.custName,
                liveAddress:liveAddress,
                liveAreaCode:liveAreaCode,
                livePhoneNo:livePhoneNo,
                occupationStatus:occupationStatus,
                companyName:companyName,
                companyAddress:companyAddress,
                companyPhoneNo:companyPhoneNo,
                companyEntryTime:companyEntryTime,
                position:position,
                monthlyIncome:monthlyIncome,
                payType:payType,
                payDay:payDay
            };
            return param;
        },
        toCommitInfo:function(e){
            var self = this;
            var asterisk1=$('.residential_address'),
                asterisk2=$('.occupation_status_value');
                //alert($.trim(asterisk1.text()).length)
            if($.trim(asterisk1.text()).length==0||asterisk1.text()=='请选择居住地址'||$.trim(asterisk2.text()).length==0||asterisk2.text()=='请选择职业状况'){
                C.Native.tip('带*号为必填项目');
                return;
            }

            if(self.G.isPosting||$(e.currentTarget).hasClass("btn-disable")){
                return ;
            }
            self.G.isPosting = true;
            C.UI.loading();
            var param = self.getChooseParam();
            console.log(param);
            $.ajax({
                url :'http://IQSZ-L1371:7001/cfsssfront/carat/submitCreditAuth.do?accountId=3143015&authCode=baseInfo',
                data:param,
                type:"post",
                success:function(res){
                    if(res.flag == C.Flag.SUCCESS && res.data){
                        if(res.data.resultCode=="1"){

                            C.Native.back({
                                url:"personal-information.html"
                            });
                            C.UI.stopLoading();
                        }else{
                            
                            C.Native.tip(res.data.resultMsg||"网络异常，请稍后再试！");
                            C.UI.stopLoading();
                        }
                    }
                    self.G.isPosting = false;
                    C.UI.stopLoading();
                },
                error:function(res){
                    self.G.isPosting = false;
                    C.UI.stopLoading();
                }
            });
        },
        //格式化数据
        /*formatData:function(data){
            return data;
        },*/
        //Native语音输入
        toSpeechInput:function(e){
            var self = this;
            var $target = $(e.currentTarget),code = $target.attr("data-code");
            var title = $(".speechInput").eq(code).closest("li").find("div").eq(0).text();
            title = title.substr(0,title.length-1);
            console.log(title);
            C.Native.speechInput(title,function(res){
                if(res.code=="1"){
                    var res = res.result;
                    if($target.hasClass("liveaddress")){
                        $(".live_address_2").val(res);
                    }else if($target.hasClass("companyname")){
                        $(".company_name").val(res);
                    }else if($target.hasClass("companyaddress")){
                        $(".company_address_2").val(res);
                    }else if($target.hasClass("monthlyincome")){
                        $(".monthly_income").val(res);
                    }
                }else {
                    alert("语音输入失败");
                }
            });
        },
        //选择日期控件
        toChooseDate:function(e){
            //alert(1)
            var self = this;
            var $target = $(e.currentTarget);
            console.log($target);
             C.Native.showDatePikerDialog({
                callBack:function(data){
                    $(".company_entry_time").val(data.year+"-"+data.month+"-"+data.day);
                }
            });
        },
        //选择地区控件
        toChooseAddress:function(e){
            var self = this;
            var $target = $(e.currentTarget);
            var code = $target.attr("data-code");
            console.log(code);
            C.Native.selectAddressInfo(function(data){
                $(".select_address_"+code).val(data.province+" "+data.city+" "+data.zone);
            });
        }
    }));
    $(function(){
        new Page({
            el:$("body")[0]
        });
    })
});
