define(['zepto', 'C', 'view', 'js/iloan', 'js/ipos'], function($, C, View, L, iPOS) {
    'use strict';
    
    var Page = View.extend(_.extend({
        tagName: '',
        className: '',
        el: 'body',
        events: {
            'tap .xbyd': 'goToiLoan',
            'tap .idai': 'goIloan',
            'tap .ipos': 'goiPos',
            'tap .zhaiedai': 'goZhai'
        },
        // 实例化后默认初始化该方法
        initialize: function () {
            var self = this;
            //设置标题
            C.Native.setHeader({
                title:C.Constant.TITLE.PRODUCTS,
                leftCallback:function(){
                    C.Native.back();
                }
            });
            C.UI.stopLoading();
        },
        // 渲染整个view
        render: function (data) {
            
        },
        goToiLoan: function () {
            // C.Native.jumpToILoanHome();
            L.goXindai();
        },
        goIloan: function () {
            L.goIloan();
        },
        goiPos: function () {
            iPOS.initIpos();
        },
        goZhai: function () {
            C.Native.forwardModule({
                module: 'zed',
                url: 'index_z_apply.html'
            });
        },
        
        
    }));

    $(function() {
        new Page();
    });
});