define(['zepto', 'C', 'view', 'js/component/identity'], function ($, C, View, Identity) {
    'use strict';
    var Page = View.extend(_.extend({
        timer: null,
        tagName: '',
        className: '',
        el: 'body',
        events: {
            'tap .card-apply': 'cardApplication',
            'tap .nocard-money': 'noCardMoney',
            'tap .icon-close': "closeLeaayer",
            'tap .sign-in': "doSignIn",
            'tap .submit': "signHideFuc",
            /*'tap .ads': "goScoreShop",*/
            'tap #noLoginScore': "noLoginScore",
            'tap #score': "goScorePage",
            'tap .need-identity': 'needIdentity',
            //'tap .no-online': 'setIntervalShow',
            'tap .myhydropower_coal': 'setIntervalShow',
            
            'tap .mycredit': 'goCredit',
            // 'tap .mycost': 'goBill',
            'tap .waterele_coal': 'goHydropower_coal',
            'tap .my-shop':'goCreditShop',
            'tap .mycost': 'goMobilefare',
            'tap .ads':'goCreditShop'
        },
        leayerEl: $('.leayerApply'),
        myTimeEl: $('.my-time'),
        // 实例化后默认初始化该方法
        initialize: function () {

            C.UI.loading();
            var self = this;
            self.logined = false;
            //信用卡开关
            self.attributeMobilefee = 'N';
            self.isMobilefare = false;
            //self.isMobilefareSwitch = 'Y';

            C.Native.getAppVersion(function (res) {
                if (res.version >= 440) {
                    self.isMobilefare = true;

                } else {
                    self.isMobilefare = false;
                }
            });
            //设置标题
           /* C.Native.setHeader({
                title: C.Constant.TITLE.SPEND_MONEY,
                leftCallback: function () {
                    C.Native.back();
                }
            });*/

            C.Native.setHeader({
                title: C.Constant.TITLE.SPEND_MONEY,
                
            });
            //检查信用卡开关
            if (C.Utils.getParameter('attributeCredit') == 'N') {
                $('.mycredit').hide();
            
            }         

            // 根据登陆态，作不同的操作
            C.Account.isLogin(function (data) {

                C.UI.stopLoading();
                // alert(JSON.stringify(data))
                var html = '';
                if (C.Flag.SUCCESS == data.flag) {
                    self.logined = true;
                    self.userInfo = C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO) || {};
                    //alert(JSON.stringify(self.userInfo))
                    //判断是否补录身份信息
                    if (self.userInfo.custId) {
                        var pointsSwitch = (self.userInfo.pointsSwitch == 'Y') ? 'Y' : 'N';
                        //html = _.template($('#content-tpl').html())({pointsSwitch: pointsSwitch});
                        //self.$el.prepend(html);
                        // 积分相关
                        if (pointsSwitch == 'Y') {
                            //alert(pointsSwitch)
                            $('.mall_parat').show();
                            //alert('YY')
                            $.ajax({
                                type: "post",
                                url: C.Api.MY_SCORE,
                                success: function (res) {
                                    C.UI.stopLoading();
                                    //alert(JSON.stringify(res))
                                    // self.$el.show();
                                    if (C.Flag.SUCCESS == res.flag) {

                                        self.wltUrl = res.data.wltUrl;
                                        $('#noLoginScore').hide();
                                        $('#loginScore').show();
                                        if (res.data.isSignInToday == 'Y') {
                                            self.isSignStyle();
                                        }
                                        $('#score').html((res.data.totalPoints || '0') + '分');
                                       // $('.my-shop').show();
                                        self.totalPoints = res.data.totalPoints || 0;
                                    } else if (res.flag == '2') {
                                        //万里通查询失败埋点
                                        C.Native.TDOnEvent({
                                            eventId: C.TD.Event.SPEND_MONEY_0403,
                                            eventLable: C.TD.Label.SPEND_MONEY_0403_2,
                                            jsonData: {
                                                key: '业务类错误',
                                                value: '万里通错误'
                                            }
                                        });
                                    } else if (res.flag == '8') {
                                        //系统繁忙埋点
                                        C.Native.TDOnEvent({
                                            eventId: C.TD.Event.SPEND_MONEY_0403,
                                            eventLable: C.TD.Label.SPEND_MONEY_0403_2,
                                            jsonData: {
                                                key: '系统类错误',
                                                value: '网络连接错误'
                                            }
                                        });
                                    }
                                },
                                error: function () {
                                    C.UI.stopLoading();
                                }
                            });
                        } else {
                            $('.mall_parat').hide();
                            //alert('NN')
                            C.UI.stopLoading();
                        }

                    } else {
                        html = _.template($('#identity-tpl').html())();
                        self.$el.prepend(html);
                        C.UI.stopLoading();
                    }
                } else {
                    html = _.template($('#content-tpl').html())({pointsSwitch: "N"});
                    self.$el.prepend(html);
                    //$('#noLoginScore').show();
                    //$('#loginScore').hide();
                    C.UI.stopLoading();
                }
            });

            //self.scroll();
            // 显示信用卡和话费充值入口
            $.ajax({
                type: "get",
                url: C.Api.JSON_SWICTH,
                // url: "http://nts-tms-dmzstg1.pingan.com.cn:9027/html-dev/paehome_notice/switch.json",
                contentType:"application/x-www-form-urlencoded:charset=UTF-8",
                //url: "../data/switch.json",
                success: function (res) {
                    res = (typeof res == 'string') ? JSON.parse(res) : res;
                    //信用卡绑卡开关
                    self.attributeCredit = res.data.attribute || 'Y';
                    self.attributeMobilefee = res.data.attributefee || 'Y';
                    if(self.attributeCredit=='Y'){
                        $('.mycredit').show();
                    }else{
                        $('.mycredit').hide();
                    }
                    C.UI.stopLoading();
                },
                error: function (e) {
                    console.log(e);
                    C.UI.stopLoading();
                }
            });
        },
        /*render: function () {

        },*/
        cardApplication: function (e) {
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.Event.SPEND_MONEY,
                eventLable: C.TD.Label.SPEND_MONEY_0401
            });
            this.setIntervalShow(e);
        },
        noCardMoney: function (e) {
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.Event.SPEND_MONEY,
                eventLable: C.TD.Label.SPEND_MONEY_0402
            });
            this.setIntervalShow(e);
        },
        setIntervalShow: function (e) {
            var self = this,
                count = 2;
            var $target = $(e.currentTarget);

            if ($target.hasClass('chongzhi')) {
                C.Native.TDOnEvent({
                    eventId: C.TD.Event.SPEND_MONEY,
                    eventLable: C.TD.Label.SPEND_MONEY_0407
                });
            } else if ($target.hasClass('shuidian')) {
                C.Native.TDOnEvent({
                    eventId: C.TD.Event.SPEND_MONEY,
                    eventLable: C.TD.Label.SPEND_MONEY_0406
                });
            } else if ($target.hasClass('jianyi')) {
                C.Native.TDOnEvent({
                    eventId: C.TD.Event.SPEND_MONEY,
                    eventLable: C.TD.Label.SPEND_MONEY_0408
                });
            } else if ($target.hasClass('yihao')) {
                C.Native.TDOnEvent({
                    eventId: C.TD.Event.SPEND_MONEY,
                    eventLable: C.TD.Label.SPEND_MONEY_0409
                });
            } else if ($target.hasClass('guomei')) {
                C.Native.TDOnEvent({
                    eventId: C.TD.Event.SPEND_MONEY,
                    eventLable: C.TD.Label.SPEND_MONEY_0410
                });
            } else if ($target.hasClass('nuoxin')) {
                C.Native.TDOnEvent({
                    eventId: C.TD.Event.SPEND_MONEY,
                    eventLable: C.TD.Label.SPEND_MONEY_0411
                });
            } else if ($target.hasClass('jiuxian')) {
                C.Native.TDOnEvent({
                    eventId: C.TD.Event.SPEND_MONEY,
                    eventLable: C.TD.Label.SPEND_MONEY_0412
                });
            }

            self.leayerEl.show();
            self.myTimeEl.html(count + 's');
            self.timer = setInterval(function () {
                count--;
                self.myTimeEl.html(count + 's');
                if (!count) {
                    clearInterval(self.timer);
                    self.leayerEl.hide();
                }
            }, 1000);
        },
        closeLeaayer: function () {
            clearInterval(this.timer);
            this.leayerEl.hide();
        },
        signHideFuc: function () {
            var total = parseFloat(this.totalPoints) + parseFloat(this.todayPoints);
            $('#score').html((total || '--') + '分');
            $('.leayerSign').hide();
            this.isSignStyle();
        },
        doSignIn: function () {
            var self = this;
            if (!!self.isSign) {
                return;
            }
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.Event.SPEND_MONEY,
                eventLable: C.TD.Label.SPEND_MONEY_0403
            });

            if (self.logined) {
                C.UI.loading();
                $.ajax({
                    type: "post",
                    url: C.Api.MY_REGISTRATION,
                    data: {
                        isSignInToday: 'Y'
                    },
                    success: function (res) {
                        C.UI.stopLoading();
                        if (C.Flag.SUCCESS == res.flag) {
                            //埋点
                            C.Native.TDOnEvent({
                                eventId: C.TD.Event.SPEND_MONEY_0403,
                                eventLable: C.TD.Label.SPEND_MONEY_0403_1
                            });
                            var data = res.data;
                            self.todayPoints = data.todayPoints;
                            $('.leayerSign').show();
                            $('#getPoints').html(data.todayPoints || '--');
                            $('#pointsDay').html((data.totalSign || '--') + '天');
                            $('#signTotalPoints').html(data.sumPoints || '--');
                            //本次签到获得积分
                            self.todayPoints = res.data.todayPoints || 0;
                        }
                    },
                    error: function () {
                        C.UI.stopLoading();
                    }
                });
            } else {
                C.Native.gotoNative('login');
            }
        },
        isSignStyle: function () {
            var self = this;
            self.isSign = true;
            $('#sign-in').html('明天见');
            $('#sign-in').css({"border": "2px solid #ccc", "color": "#ccc"});
            $('#sign-in').removeClass('sign-in');
        },
        goScoreShop: function () {
            var self = this;
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.Event.SPEND_MONEY,
                eventLable: C.TD.Label.SPEND_MONEY_0404
            });
            C.Account.isLogin(function (data) {
                if (C.Flag.SUCCESS == data.flag) {
                    var mobile = C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO).mobile;
                    C.Native.forward({
                        url: C.Api.GO_WLT_SHOPING + '?merId=' + C.Constant.WLT_KEY + '&openId=' + mobile + '&mobile=' + mobile + '&callback=' + encodeURIComponent(self.wltUrl)
                    })
                } else {
                    C.Native.gotoNative('login');
                }
            });
        },
        noLoginScore: function () {
            C.Native.gotoNative('login');
        },
        goScorePage: function () {
            C.Native.forward({
                url: 'my-score.html'
            });
        },
        goCreditShop:function(){
            // C.Native.forward({
            //     url: 'http://www.wanlitong.com/wap/event/cloud/01/index.shtml?did=256'
            // });
            
            var self = this;
            self.userInfo = C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO);
            
            var mobile = self.userInfo.mobile;
            
            C.Native.TDOnEvent({
                eventId:C.TD.Event.SCORE_0602
            });

            C.Native.forward({
                url: C.Api.GO_WLT_SHOPING+'?merId='+ C.Constant.WLT_KEY+'&openId='+ mobile +'&mobile='+ mobile +'&callback='+ encodeURIComponent(self.wltUrl)
            });
        },
        needIdentity: function () {
            var identity = new Identity({model: {callback: $$.EventListener.onRefresh}});
            $('body').append(identity.el);
        },
        goCredit: function () {
            var self = this;
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.Event.SPEND_MONEY,
                eventLable: C.TD.Label.SPEND_MONEY_0405
            });

            if (self.logined) {
                //获取用户信息
                self.userInfo = C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO);
                C.Native.login({}, function () {
                    //判断是否已补录身份信息
                    if (!!self.userInfo.custId) {
                        //判断是否绑定壹钱包
                        if (!!self.userInfo.paPayToken) {
                            C.Native.gotoNative('creditCardRepayment');
                        } else {
                            C.Native.loginOrRegistPaOne(function (json) {
                                if (C.Flag.SUCCESS == json.code) {
                                    C.Native.getUserInfo(function(data){
                                        C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO, data);
                                        self.userInfo = data;
                                        if (!!self.userInfo.paPayToken) {
                                            C.Native.gotoNative('creditCardRepayment');
                                        }
                                    });
                                }
                            });
                        }
                    } else {
                        C.Native.addUserInfo(function(res){
                            if(res.code=="1"){
                                C.Native.getUserInfo(function(data) {
                                    C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO, data);
                                });
                            }
                        });
                    }
                });
            } else {
                C.Native.gotoNative('login');
            }
        },
        //充话费
        // goBill: function(){
        //     var self = this;
        //     //埋点
        //     C.Native.TDOnEvent({
        //         eventId: C.TD.Event.SPEND_MONEY,
        //         eventLable: C.TD.Label.SPEND_MONEY_0407
        //     });
        // },

        goMobilefare:function(e){
            var self = this;

                        //self.attributeMobilefee = 'N';
            if (self.logined) {

                    if(self.attributeMobilefee=="Y" &&true==self.isMobilefare){
                        self.userInfo = C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO);                                  
                        C.Native.login({}, function () {
                            if (!!self.userInfo.custId) {
                                 //判断是否绑定壹钱包
                                if (!!self.userInfo.paPayToken) {
                                    C.Native.prepaidRecharge('mobileFareRecharge');
                                } else {
                                    C.Native.loginOrRegistPaOne(function (json) {
                                        if (C.Flag.SUCCESS == json.code) {
                                            C.Native.getUserInfo(function(data){
                                                C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO, data);
                                                self.userInfo = data;
                                                if (!!self.userInfo.paPayToken) {
                                                    C.Native.prepaidRecharge('mobileFareRecharge');
                                                }
                                            });
                                        }
                                    });
                                }
                                
                            }else {
                                C.Native.addUserInfo(function(res){
                                if(res.code=="1"){
                                    //$$.EventListener.onRefresh();
                                    C.Native.getUserInfo(function(data) {
                                        C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO, data);
                                    });
                                }
                            });
                        }
                    })
                    

                }else{
                    var count = 2;
                    var $target = $(e.currentTarget);
                    self.leayerEl.show();
                    self.myTimeEl.html(count + 's');
                    self.timer = setInterval(function () {
                        count--;
                        self.myTimeEl.html(count + 's');
                        if (!count) {
                            clearInterval(self.timer);
                            self.leayerEl.hide();
                        }
                    }, 1000);

                }                        

            }else{
                        C.Native.gotoNative('login');
                    }
                    //self.stopLoading();
                    C.UI.stopLoading();

            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.Event.SPEND_MONEY,
                eventLable: C.TD.Label.SPEND_MONEY_0407
            });


        },
        //水电煤
        goHydropower_coal: function(){
            var self = this;
            //埋点
            C.Native.TDOnEvent({
                eventId: C.TD.Event.SPEND_MONEY,
                eventLable: C.TD.Label.SPEND_MONEY_0406
            });
        }
    }));

    $(function () {
        var myPage = new Page();
        $$.EventListener.onRefresh = function () {
            C.Native.getUserInfo(function (data) {
                C.Utils.data(C.Constant.DataKey.USER_LOGIN_INFO, data);
                location.reload();
            });
        }
    });
});
